package com.liang.entity;

import java.util.Date;
import java.io.Serializable;

/**
 * (PrjApproval)实体类
 *
 * @author makejava
 * @since 2023-04-29 22:05:41
 */
public class PrjApproval implements Serializable {
    private static final long serialVersionUID = 862753772820544458L;
    /**
     * 主键
     */
    private Integer id;
    /**
     * 申请信息（费用申请ID)
     */
    private Integer sqxx;
    private String sqmc;
    /**
     * 审核人
     */
    private Integer shr;
    private String shrxm;
    /**
     * 审核时间
     */
    private Date shsj;
    /**
     * 审核状态
     */
    private String shzt;
    /**
     * 审核意见
     */
    private String shyj;
    /**
     * 提交时间
     */
    private Date tjsj;
    /**
     * 是否需要上级审核
     */
    private Boolean sfxysjsh;
    /**
     * 上级审核人
     */
    private Integer sjshr;
    private String sjshrxm;
    /**
     * 提交人
     */
    private Integer tjr;
    private String tjrzh;
    private String tjrxm;
    /**
     * 审核人岗位
     */
    private Integer shrgw;
    private String shrgwmc;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getSqxx() {
        return sqxx;
    }

    public void setSqxx(Integer sqxx) {
        this.sqxx = sqxx;
    }

    public String getSqxxmc() {
        return sqmc;
    }

    public void setSqxxmc(String sqmc) {
        this.sqmc = sqmc;
    }

    public Integer getShr() {
        return shr;
    }

    public void setShr(Integer shr) {
        this.shr = shr;
    }

    public String getShrxm() {
        return shrxm;
    }

    public void setShrxm(String shrxm) {
        this.shrxm = shrxm;
    }

    public Date getShsj() {
        return shsj;
    }

    public void setShsj(Date shsj) {
        this.shsj = shsj;
    }

    public String getShzt() {
        return shzt;
    }

    public void setShzt(String shzt) {
        this.shzt = shzt;
    }

    public String getShyj() {
        return shyj;
    }

    public void setShyj(String shyj) {
        this.shyj = shyj;
    }

    public Date getTjsj() {
        return tjsj;
    }

    public void setTjsj(Date tjsj) {
        this.tjsj = tjsj;
    }

    public Boolean getSfxysjsh() {
        return sfxysjsh;
    }

    public void setSfxysjsh(Boolean sfxysjsh) {
        this.sfxysjsh = sfxysjsh;
    }

    public Integer getSjshr() {
        return sjshr;
    }

    public void setSjshr(Integer sjshr) {
        this.sjshr = sjshr;
    }

    public String getSjshrxm() {
        return sjshrxm;
    }

    public void setSjshrxm(String sjshrxm) {
        this.sjshrxm = sjshrxm;
    }

    public Integer getTjr() {
        return tjr;
    }

    public void setTjr(Integer tjr) {
        this.tjr = tjr;
    }

    public String getTjrzh() {
        return tjrzh;
    }

    public void setTjrzh(String tjrzh) {
        this.tjrzh = tjrzh;
    }

    public String getTjrxm() {
        return tjrxm;
    }

    public void setTjrxm(String tjrxm) {
        this.tjrxm = tjrxm;
    }

    public Integer getShrgw() {
        return shrgw;
    }

    public void setShrgw(Integer shrgw) {
        this.shrgw = shrgw;
    }

    public String getShrgwmc() {
        return shrgwmc;
    }

    public void setShrgwmc(String shrgwmc) {
        this.shrgwmc = shrgwmc;
    }

}

